package reversi;

abstract class Visualization 
{
    /**
     * Init this instance of Visualization
     */
    abstract void init(Arena a);    
    
    /**
     * Animate a move by turning opponent's stones.
     */
    abstract void animateMove(GameBoard oldBoard, Coordinates move, int player,
            int[][] toFlip);

    abstract public void showPossibleMoves(TextGameBoard board, int player);
        
    abstract public void setInfoLine(String text);
    abstract public void setInfoLine2(String text);
    abstract public void setStatusLine(String text);

    abstract public void setVisible(boolean visible);
    abstract public void dispose();

    abstract public void update(TextGameBoard board);
}
